FConvert3DImageToPixeltypeO< O > Struct Template Reference

functor to convert an image with an abitrary pixel type to single floating point pixels More...

`#include <mia/3d/image.hh>`

Inheritance diagram for FConvert3DImageToPixeltypeO< O >:
[legend]
Collaboration diagram for FConvert3DImageToPixeltypeO< O >:
[legend]

## Public Member Functions

T3DImage< O > | operator() (const C3DImage &image) const
template<typename T>
T3DImage< O > | operator() (const T3DImage< T > &image) const
T3DImage< O > | operator() (P3DImage image) const

## Additional Inherited Members

Public Types inherited from TFilter< T3DImage< O > >
typedef T3DImage< O > | result_type
| defines the return type of the filter function

## Detailed Description

template<typename O>
struct FConvert3DImageToPixeltypeO< O >

functor to convert an image with an abitrary pixel type to single floating point pixels

This functor provides the often used funcionality to convert a 3D image from any pixel representation to a pixel type O representation. The data is just copied. For conversion with scaling and proepry clamping you should use the convert filter provided through C3DFilterPluginHandler.

Template Parameters

  O | output pixel type

Definition at line 434 of file 3d/image.hh.

## Member Function Documentation

## operator()() [1/3]

template<typename O>

T3DImage< O > FConvert3DImageToPixeltypeO< O >::operator() | ( | const C3DImage & | image | ) | const

inline

Operator to do redirect the base class representation through mia::filter

Parameters

  image | input image

Returns
  the image converted floating point pixel values

Definition at line 455 of file 3d/image.hh.

## operator()() [2/3]

template<typename O>
template<typename T>

T3DImage< O > FConvert3DImageToPixeltypeO< O >::operator() | ( | const T3DImage< T > & | image | ) | const

inline

Operator to do the actual conversion.

Parameters

  image | input image

Returns
  the image converted floating point pixel values

Definition at line 442 of file 3d/image.hh.

## operator()() [3/3]

template<typename O>

T3DImage< O > FConvert3DImageToPixeltypeO< O >::operator() | ( | P3DImage | image | ) | const

inline

Operator to do redirect the pointer representation through mia::filter

Parameters

  image | input image pointer

Returns
  the image converted floating point pixel values

Definition at line 466 of file 3d/image.hh.

The documentation for this struct was generated from the following file:

- 3d/image.hh